<?php
class edubreakAuthExtern extends SimpleORMap
{

    static function find($id)
    {
        return SimpleORMap::find(__CLASS__, $id);
    }

    static function findBySql($where)
    {
        return SimpleORMap::findBySql(__CLASS__, $where);
    }

    static function findByField($field)
    {
        return self::findBySql("field=" . DbManager::get()->quote($field) . " ORDER BY is_default DESC");
    }

    static function deleteBySql($where)
    {
        return SimpleORMap::deleteBySql(__CLASS__, $where);
    }

    function __construct($studip_user_id = null)
    {
        $this->db_table = 'auth_extern';
        parent::__construct($studip_user_id);
    }

    function setId($studip_user_id)
    {
        $this->content['external_user_system_type'] = 'edubreak';

        $this->content['studip_user_id'] = $studip_user_id;

    }

    function restore()
    {
        return parent::restore();
    }
}

class edubreakObjectContentModule extends SimpleORMap
{

    static function find($object_id)
    {
        $found = self::findBySQL("system_type='edubreak' AND object_id = " . DBManager::get()->quote($object_id));
        return $found[0];
    }

    static function findBySql($where)
    {
        return SimpleORMap::findBySql(__CLASS__, $where);
    }

    static function deleteBySql($where)
    {
        return SimpleORMap::deleteBySql(__CLASS__, $where);
    }

    function __construct($keys = array())
    {

        $this->db_table = 'object_contentmodules';
        parent::__construct($keys);
    }

    function setId($keys)
    {
        $this->content['system_type'] = 'edubreak';

        $this->content['object_id'] = $keys[0];
        $this->content['module_id'] = $keys[1];


    }

    function restore()
    {
        return parent::restore();
    }
}

if (!class_exists('AuthUserMd5')) {
    require_once 'AuthUserMd5.class.php';
}